Name:           greadelf
Version:        1.0
Release:        4%{?dist}
Summary:        Wrapper tool for eu-readelf
Group:          Development/Tools
License:        GPLv2
URL:            http://code.google.com/p/greadelf/
Source0:        http://greadelf.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  desktop-file-utils 
BuildRequires:  gtk2-devel 
Requires:	elfinfo >= 1.1-4, elfutils

%description
This Tool is essentially a wrapper over eu-readelf. This package can work
without eu-readelf with limited functionality. Optionally it can also works
with elfinfo an associated package.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=greadelf
Comment=wrapper tool over eu-readelf
Exec=greadelf
Terminal=false
Type=Application
Encoding=UTF-8
Categories=GNOME;GTK;System;
EOF

desktop-file-install --vendor fedora \
    --dir %{buildroot}/%{_datadir}/applications/ \
    %{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/greadelf
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 08 2008 Parag Nemade <panemade@gmail.com>- 1.0-2
- Add versioned requires for elfinfo
* Fri Dec 05 2008 Parag Nemade <panemade@gmail.com>- 1.0-1
- Update to next release 1.0
* Fri Sep 26 2008 Ashok Das <ashok.s.das@gmail.com>- 0.4-1
- Update to next release 0.4 
* Tue Sep 23 2008 Ashok Das <ashok.s.das@gmail.com>- 0.3-1
- Initial specfile for Fedora 

